CFTIME(3)

NAME
cftime, ascftime - convert date and time to string

LIBRARY
libcompat

SYNOPSIS
#include <time.h>
int
cftime(char *s, char *format, const time_t *clock);
int
ascftime(char *s, const char *format, const struct tm *tmptr);

DESCRIPTION
The cftime() and ascftime() functions are made obsolete by strftime(3).

Use of the functions cftime() and ascftime() is strongly deprecated, since there is no way to check for a buffer overflow condition. Use strftime(3) instead.

The ascftime() function is almost identical to strftime(3), with the only exception that there is no parameter to tell about the maximal buffer length, and the format parameter defaults to “%C” if a NULL pointer is given.

The cftime() function does the same job, but it first invokes localtime(3) in order to convert the given clock, then also performs the conversions as requested by the format argument.

RETURN VALUES
The cftime() and ascftime() functions return the number of characters written to the output buffer s, not counting the trailing null character.

SEE ALSO
localtime(3), strftime(3)